<?php declare(strict_types=1);

namespace App\Dto\Request\Private\Role;

use App\Dto\Builder\Role;
use App\Dto\Request\Dto;

final readonly class Index extends Dto
{
    public function __construct(
        private Role $roleBuilderDto,
        private int $page
    ) { }

    public function getRoleBuilderDto(): Role
    {
        return $this->roleBuilderDto;
    }

    public function getPage(): int
    {
        return $this->page;
    }
}
